"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const type_graphql_1 = require("type-graphql");
const app_1 = require("./app");
const file_watcher_1 = require("../../services/file-watcher");
const event_emitter_1 = require("../../event-emitter");
let AppResolver = class AppResolver {
    constructor() {
        this.fileWatcher = new file_watcher_1.default();
        this.appInstance = new app_1.App();
    }
    app() {
        return this.appInstance;
    }
    setSelectedFile(path) {
        this.appInstance.selectedFile = path;
        this.fileWatcher.watch(path);
        event_emitter_1.pubsub.publish(file_watcher_1.WatcherEvents.FILE_CHANGE, {
            id: file_watcher_1.WatcherEvents.FILE_CHANGE,
            payload: {
                path
            }
        });
        return this.appInstance;
    }
};
__decorate([
    type_graphql_1.Query(returns => app_1.App),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], AppResolver.prototype, "app", null);
__decorate([
    type_graphql_1.Mutation(returns => app_1.App),
    __param(0, type_graphql_1.Arg("path")),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], AppResolver.prototype, "setSelectedFile", null);
AppResolver = __decorate([
    type_graphql_1.Resolver(app_1.App),
    __metadata("design:paramtypes", [])
], AppResolver);
exports.default = AppResolver;
//# sourceMappingURL=resolver.js.map