"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const type_graphql_1 = require("type-graphql");
const event_emitter_1 = require("../event-emitter");
const resolver_1 = require("./workspace/resolver");
const resolver_2 = require("./runner/resolver");
const resolver_3 = require("./app/resolver");
function getSchema() {
    return __awaiter(this, void 0, void 0, function* () {
        return yield type_graphql_1.buildSchema({
            resolvers: [resolver_1.default, resolver_2.default, resolver_3.default],
            pubSub: event_emitter_1.pubsub
        });
    });
}
exports.getSchema = getSchema;
//# sourceMappingURL=index.js.map