#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_yoga_1 = require("graphql-yoga");
const express = require("express");
require("reflect-metadata");
const api_1 = require("./api");
const result_handler_api_1 = require("./services/result-handler-api");
api_1.getSchema().then((schema) => {
    const server = new graphql_yoga_1.GraphQLServer({ schema });
    result_handler_api_1.default(server.express);
    server.express.use(express.static("../"));
    server.start({
        playground: "/debug"
    }, () => console.log("Server is running on localhost:4000"));
});
//# sourceMappingURL=index.js.map