"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chokidar = require("chokidar");
const event_emitter_1 = require("../../event-emitter");
exports.WatcherEvents = {
    FILE_CHANGE: "FILE_CHANGE"
};
class FileWatcher {
    watch(filePath) {
        if (this.watcher) {
            this.watcher.close();
        }
        this.watcher = chokidar.watch(filePath);
        this.watcher.on("change", () => {
            event_emitter_1.pubsub.publish(exports.WatcherEvents.FILE_CHANGE, {
                id: exports.WatcherEvents.FILE_CHANGE,
                payload: {
                    path: filePath
                }
            });
        });
        return this.watcher;
    }
}
exports.default = FileWatcher;
//# sourceMappingURL=index.js.map