"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bodyParser = require("body-parser");
const event_emitter_1 = require("../event-emitter");
exports.Events = {
    TEST_START: "TEST_START",
    TEST_RESULT: "TEST_RESULT",
    RUN_START: "RUN_START",
    RUN_COMPLETE: "RUN_COMPLETE",
    RUN_SUMMARY: "RUN_SUMMARY"
};
function handlerApi(expressApp) {
    expressApp.use(bodyParser.json());
    expressApp.post("/test-start", ({ body }, res) => {
        event_emitter_1.pubsub.publish(exports.Events.TEST_START, {
            id: exports.Events.TEST_START,
            payload: {
                path: body.path,
                test: body
            }
        });
        res.send("ok");
    });
    expressApp.post("/test-result", ({ body }, res) => {
        event_emitter_1.pubsub.publish(exports.Events.TEST_RESULT, {
            id: exports.Events.TEST_RESULT,
            payload: {
                path: body.testResult.testFilePath,
                result: body
            }
        });
        event_emitter_1.pubsub.publish(exports.Events.RUN_SUMMARY, {
            id: exports.Events.RUN_SUMMARY,
            payload: {
                summary: body.aggregatedResult
            }
        });
        res.send("ok");
    });
    expressApp.post("/run-start", (req, res) => {
        event_emitter_1.pubsub.publish(exports.Events.RUN_START, {
            id: exports.Events.RUN_START,
            payload: req.body
        });
        res.send("ok");
    });
    expressApp.post("/run-complete", (req, res) => {
        event_emitter_1.pubsub.publish(exports.Events.RUN_COMPLETE, {
            id: exports.Events.RUN_COMPLETE,
            payload: req.body
        });
        res.send("ok");
    });
}
exports.default = handlerApi;
//# sourceMappingURL=result-handler-api.js.map