"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Results {
    constructor() {
        this.results = {};
        this.summary = {
            numFailedTests: 0,
            numPassedTests: 0,
            numPassedTestSuites: 0,
            numFailedTestSuites: 0
        };
    }
    setTestStart(path) {
        this.setDefaultStatus(path);
        const resultforPath = this.results[path];
        resultforPath.status = "EXECUTING";
    }
    setTestReport(path, report) {
        this.setDefaultStatus(path);
        const resultforPath = this.results[path];
        resultforPath.status = "IDLE";
        resultforPath.report = report;
    }
    getResult(path) {
        return this.results[path] || null;
    }
    setSummary(passedTests, failedTests, numPassedTestSuites, numFailedTestSuites) {
        this.summary = {
            numFailedTests: failedTests,
            numPassedTests: passedTests,
            numPassedTestSuites,
            numFailedTestSuites
        };
    }
    getSummary() {
        return this.summary;
    }
    setDefaultStatus(path) {
        if (!this.results[path]) {
            this.results[path] = {
                status: "IDLE"
            };
        }
    }
}
exports.default = Results;
//# sourceMappingURL=results.js.map